@import url(http://fonts.googleapis.com/earlyaccess/notosanskr.css);

@font-face {font-family: 'Noto Sans KR';font-style: normal;font-weight: 100;src: url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Thin.woff2) format('woff2'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Thin.woff) format('woff'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Thin.otf) format('opentype');}
@font-face {font-family: 'Noto Sans KR';font-style: normal;font-weight: 300;src: url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Light.woff2) format('woff2'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Light.woff) format('woff'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Light.otf) format('opentype');}
@font-face {font-family: 'Noto Sans KR';font-style: normal;font-weight: 400;src: url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Regular.woff2) format('woff2'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Regular.woff) format('woff'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Regular.otf) format('opentype');}
@font-face {font-family: 'Noto Sans KR';font-style: normal;font-weight: 500;src: url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Medium.woff2) format('woff2'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Medium.woff) format('woff'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Medium.otf) format('opentype');}
@font-face {font-family: 'Noto Sans KR';font-style: normal;font-weight: 700;src: url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Bold.woff2) format('woff2'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Bold.woff) format('woff'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Bold.otf) format('opentype');}
@font-face {font-family: 'Noto Sans KR';font-style: normal;font-weight: 900;src: url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Black.woff2) format('woff2'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Black.woff) format('woff'),url(//fonts.gstatic.com/ea/notosanskr/v2/NotoSansKR-Black.otf) format('opentype');}


html{
	font-family : monospace;
	/*font-family : 'Noto Sans KR', monospace;*/
	/*font-family : Noto-Sans; noto-sans로 하면 현재는 생성하는 자산의 폰트 규격이 전부 빗나가는 문제가 있다.*/
}

/* center align */
#InnerPanelInclude>top-linearlayout>.top-linearlayout-root{
	left:50%;
	transform: translateX(-50%);
}


/* input필드를 위한 css */
top-textfield .top-textfield-root .top-textfield-text{
	letter-spacing : 4px;
	padding: 0px;
}
/* input필드 선택되었을때의 css*/
top-textfield .top-textfield-root .top-textfield-text:focus{
	-webkit-box-shadow: rgba(255, 0, 0, 0.18 ) 0 0 10px;
	box-shadow: rgba(200, 200, 200, 0.68) 0 0 30px;
	color: rgb(200,200,200);
}

/* output필드를 위한 css */
top-textfield .top-textfield-root .top-textfield-text[disabled], fieldset[disabled] top-textfield .top-textfield-root .top-textfield-text{
	outline: none;
	letter-spacing : 4px;
	padding: 0px;
	cursor:default;
	background-color:unset;
	border-color:unset;
	color:unset;
}

/* 단순 text를 위한 css */
.top-textview-url{
	/* font-size: 2vw; */
	letter-spacing : 4px;
	padding: 0px;
}

#MessageDialog .top-textview-url{
	letter-spacing : normal;
	padding: 0px;
}

/* notification(toast message)을 위한 css */
.alert-warning {
	background-color : rgba(0,0,0, 0.6);
	color: rgb(255,255,255);
}
.alert-warning button.top-notification-close{
	color: rgb(255,255,255);
}

/* 에러 alarm 아이콘을 위한 css */
top-alarmbadge.badge_02 .top-alarmbadge-root .top-alarmbadge-text{
	min-width: 0px;
	
}
top-alarmbadge .top-alarmbadge-root .top-alarmbadge-text.normal{
	width: 8px;
}

/* 팝업창들을 위한 css */
.top-dialog-root.popup_01 .top-dialog-title-layout {
    background-color: #FFFFFF;
    color: #444444;
    font-size: 16px;
    height: 40px;
    letter-spacing: 0;
	line-height: 16px;
	padding-left: 20px;
}
.top-dialog-root .top-dialog-title-layout .top-dialog-close:before{
	content: "\e902";
    font-family: tmaxop, monospace;
    font-size: 20px;
    padding-right: 20px;
}
.top-dialog-root.popup_01 .top-dialog-content.fixed-height-dialog{
	padding-top: 0px;
}


.HILITE_BLINK{
	animation-name: blink;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}

@keyframes blink {
 	0%   {opacity:0}
    1%   {opacity:1}
    50%  {opacity:1}
    51%  {opacity:0}
    100% {opacity:0}
}


/*
 * 로그인 페이지 요소
 */
#BackgroundDesignBox div#RightBox1{
	position: absolute;
    height: 101% !important;
    left: 47.5%;
    transform: skewX(-10deg);
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.1);
}

#BackgroundDesignBox div#RightBox2{
	position: absolute;
    height: 101% !important;
    left: 50%;
    transform: skewX(-10deg);
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.1);
}

#BackgroundDesignBox div#InnerDesignBox{
	box-shadow: 0 0 16px 0 rgba(0,0,0,0.25);
}



top-textfield#IdTextField .top-textfield-root, 
top-textfield#PasswordTextField .top-textfield-root {
   height: 30px;
   border-radius: 23px;
}
top-textfield .top-textfield-root .top-textfield-text#IdTextField{
	background: #ECECEC;
	border-radius: 23px;
	padding-left: 20px;
	font-size: 16px;
}

top-textfield .top-textfield-root .top-textfield-text#PasswordTextField{
	background: #ECECEC;
	border-radius: 23px;
	padding-left: 20px;
	font-size: 16px;
}

top-textfield .top-textfield-root .top-textfield-text#IdTextField:focus{
	background: #ECECEC;
	border: 1px solid #1976D2;
	border-radius: 23px;
	color: rgb(0,0,0);
	font-size: 16px;
}

top-textfield .top-textfield-root .top-textfield-text#PasswordTextField:focus{
	background: #ECECEC;
	border: 1px solid #1976D2;
	border-radius: 23px;
	color: rgb(0,0,0);
	font-size: 16px;
}

top-textfield .top-textfield-root .top-textfield-text#WriteField:focus{
	-webkit-box-shadow: rgba(255, 0, 0, 0.18 ) 0 0 10px;
	box-shadow: rgba(50, 50, 50, 0.68) 0 0 30px;
	color: rgb(200,200,200);
}


/* pds viewer table 디자인 */
td.body-cell:nth-child(n) {
    background-color: black;
    color: white;
}
#TableView7 .auto-pagination{
	color: white;
}
td.body-cell:nth-child(1) {
    background-color: black;
    color: #4A90E2;
}


/* browse 서비스에서 불러온 dataset의 라인 길이가 textArea보다 클 때 자동 개행을 막는 역할 */
#MemberViewer #ContentTextArea {
	overflow-wrap : normal;
	white-space : pre;
}
/* browse Select box focus 색 */
top-listview .top-listview-container .top-listview-list:active, top-listview .top-listview-container .top-listview-list:focus, top-listview .top-listview-container .top-listview-list.selected {
   background-color: #00a4c34f;
   color: #333333;
   font-family: NotoSansCJKkr-Regular, monospace;
}
/* browse page 글자 줄간격변경*/
top-listview .top-listview-root.top-listview-root {
   line-height: 2.3;
}
/* browse page 글자 크기, indent조정 */
/*alarmbadge 알림 list 구분 선*/
top-listview .top-listview-container .top-listview-list {
   font-size: 13px;
   text-indent: 1em;
   border-color: black;
}


/*alarmbadge 구분선*/
top-textfield .top-textfield-root.TextField578 .top-textfield-text[disabled], top-textfield .top-textfield-root .top-textfield-text[readonly], fieldset[disabled] top-textfield .top-textfield-root .top-textfield-text {
    background-color: #e9e9e900;
    border-color: #cccccc00;
    color: #aaaaaa;
    opacity: 1;
}

/*alarmbadge click시에 색변경*/
top-listview .top-listview-container [class$="nonChecked"].top-listview-list {
    font-size: 13px;
    text-indent: 1em;
    border-color: black;
    background-color: beige;
}

